package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseFindRequest;
import ${basePackage}.frame.validation.Dict;

import java.util.Date;

/**
 * LogErrFindRequest - 错误日志查询
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-07
 */
public class LogErrFindRequest extends BaseFindRequest {

    /**
     * 错误类型.
     */
    @Dict(name = "LOG_ERR_TYPE")
    private String logErrType;

    /**
     * 日志标题.
     */
    private String logTitle;

    /**
     * 处理结果.
     */
    @Dict(name = "LOG_ERR_RESULT")
    private String logErrResult;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    public String getLogErrType() {
        return this.logErrType;
    }

    public void setLogErrType(String logErrType) {
        this.logErrType = logErrType;
    }

    public String getLogTitle() {
        return this.logTitle;
    }

    public void setLogTitle(String logTitle) {
        this.logTitle = logTitle;
    }

    public String getLogErrResult() {
        return this.logErrResult;
    }

    public void setLogErrResult(String logErrResult) {
        this.logErrResult = logErrResult;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
}
